Jump to content

Problems installing .net Framework


hag672
 Share

Recommended Posts

Hi:

I had a problem with the onepiece post SP3 AIO 4.61 in regards to the .net framework installation.

I have some specialized software due to my disabilities that neded .net framework 1.1.4322 installed. Eventhough the onepiece had .net1.1 included I still had problems. I went into the onepiece and REMMed out the .net framework 1.1 and created a new integration with nlite. When I went to install .net 1.1.4322 it would not install because .net 2.0, 3.0 3.5, and 4 were installed.

I went back to the onepiece and REMMed out all .net installations 1.1 through 4.

I created a new integration from my clean source and included my own .net framework installers using and entries.ini file and SVCPACK. .net framework 1.1.4322 and .net framework 4.0 installed.

NUTE: .net framework 1.1 instaled but with all dialog boxes and prompts showing even though I used the /q switch

.net framework 2.0 SP2, 3.5 SP1 did NOT install. I have included all of my Entries.ini files for each .net framework installation for you to view. I was installing the .net frameworks in order from 1.1 to 4.0. Is this correct, or do I need to install them from .net framework 4.0 to 1.1?

Can anyone PLEASE help me with this so I can FINALLY get my integration correct, and build a Windows XP Pro SP# installer that will work correctly?

I went from using MS Virtual PC 2007 to VMWare Workstation 7.1.4 for my testing.

Here are all 4 entries.ini files for each dotnetfx SVCPACK:

;entries_dotnetfx11.ini

;nLite integration information;

[general]

builddate=05/25/2010

description=Addon Microsoft .NET Framework 1.1

language=English

title=Microsoft .NET Framework 1.1

version=1.1.4322.5473

website=http://www.microsoft.com

Windows=XP

[EditFile]

I386\SVCPACK.INF,SetupHotfixesToRun,AddProgram

[AddProgram]

dotnetfx11.exe /q

;entries_dotnetfx20sp2.ini

;nlite Integration information

[general]

builddate=05/25/2011

description=Addon Microsoft .NET Framework 2.0 SP2

language=English

title=Microsoft .NET Framework 2.0 SP2

version=2.2.30729.1

website=http://www.microsoft.com

Windows=XP

[EditFile]

I386\SVCPACK.INF,SetupHotfixesToRun,AddProgram

[AddProgram]

dotnetfx20sp2.exe /q

;entries_dotnetfx35sp1.ini

; nLite integration information;

[general]

builddate=05/25/2011

description=Addon Microsoft .NET 3.5 SP1

language=English

title=Microsoft .NET Framework 3.5 SP1

version=3.5.30729.1

website=http://www.microsoft.com

Windows=XP

[EditFile]

I386\SVCPACK.INF,SetupHotfixesToRun,AddProgram

[AddProgram]

dotnetfx35sp1.exe /qb /norestart

;entries_dotnetfx40.ini

;nlite Integration information;

[general]

builddate=05/25/2011

description=Addon Microsoft .NET Framework 4.0

language=English

title=Microsoft .NET Framework 4.0

version=4.0.30319.1

website=http://www.microsoft.com

Windows=XP

[EditFile]

I386\SVCPACK.INF,SetupHotfixesToRun,AddProgram

[AddProgram]

dotnetfx40.exe /Q /norestart

PLEASE, can anyone assist me with this???

Much thanks, :wacko:

hag672

Edited by hag672
Link to comment
Share on other sites


Did you "integrate" them in order?

Hi:

I first integrated the onpiece post sp3 aio 4.6.1 (with the entries.ini modified to REM out the net framework installs. I then used RVMI to use Kel's entries_removal.ini to remove silverlight, windows desktop search, etc. I then ran nlite again and added each dotnetfx. entries.ini file in order from 11 through 4., added the unattended information, tweaks, and made the iso.

I finally got the installers to appear and extract their files for .net 2.0 sp2 and 3.0 , and net 3.5 sp1, but all will not install. I now get an error code of 1603, and informed that Microsoft .Net Framework 2.0a is not installed.

If I installed these frameworks from a cd after the windows installation was complete, they would install perfectly with no errors.

ALL I want to do is have an addon to have .net framework 1.1 -4.0 installed and show up in Add/Remove of the Control Panel. I am geting so frustrated with this.

I don't want to install the net frameworks as components in the Add/Remove Windows Components.

I need to get this working so I can use my specialized software om my computer.

I guess if I had vision it might be a bit easier, but being blind and multiply disabled sometimes is a real drag - ESPECIALLY NOW!!

If here is anyone who can assist me with creating this addon or group of addons without errors I would greatly appreciate it.

Much thanks,

hag672

Edited by hag672
Link to comment
Share on other sites

Just my thought over your issue. You seems to use tools to slipstream over and over again (nlite, then RMVI , then nlite again)

I think when you nlited on the 3rd stage, that might break the slipstream routine because the source already considered "nlited-source".

I am not familiar with nlite or rmvi hence maybe other regular nlite / rmvi user can comment further.

On Dotnet framework installation sequence, try something like 2.0, then 3.0, then 3.5 (svcpack stage). Then RunonceEx dotnet 1.1

Also test each stage before proceeding to the next stage. This is to check everything is in order and to your expectation.

Example, 1st stage is nlite. Test in VM everything is what you expect it to be.

Then use this nlited source to feed to RMVI. Build the iso and test in VM again. etc

If all else fail, maybe can look further other than nlite/ rmvi.

What I see in your need is HFSLIP can do what you want. Just HFSLIP alone will do the job. (BTW, HFSLIP is not really into Component removal)

(I'm using HFSLIP)

HFSLIP forum

HFSLIP file-checker

HFSLIP Know-how (Thanks to Mimo for keeping HFSLIP alive). Click (on left), Window XP, Go to Table 6 for binary download to get started with HFSLIP

Edited by Geej
Link to comment
Share on other sites

Just my thought over your issue. You seems to use tools to slipstream over and over again (nlite, then RMVI , then nlite again)

I think when you nlited on the 3rd stage, that might break the slipstream routine because the source already considered "nlited-source".

I am not familiar with nlite or rmvi hence maybe other regular nlite / rmvi user can comment further.

On Dotnet framework installation sequence, try something like 2.0, then 3.0, then 3.5 (svcpack stage). Then RunonceEx dotnet 1.1

Also test each stage before proceeding to the next stage. This is to check everything is in order and to your expectation.

Example, 1st stage is nlite. Test in VM everything is what you expect it to be.

Then use this nlited source to feed to RMVI. Build the iso and test in VM again. etc

If all else fail, maybe can look further other than nlite/ rmvi.

What I see in your need is HFSLIP can do what you want. Just HFSLIP alone will do the job. (BTW, HFSLIP is not really into Component removal)

(I'm using HFSLIP)

HFSLIP forum

HFSLIP file-checker

HFSLIP Know-how (Thanks to Mimo for keeping HFSLIP alive). Click (on left), Window XP, Go to Table 6 for binary download to get started with HFSLIP

Hi:

I modified the OnePiece AIP 4.6.1 to REM out the netfx11 through 4 installs. I then used nlite to integrate the onepiece. I then used RVMI to use Kel's entries_removal.ini to remove unwanted components becaue they were not being removed in the [components] section of winnt.sif. I then used nlite for the rest in a single stage.

Being blind and multiply disabled is hard enough wih attempting to use rvmi or nlite. I attempted to have my aide assist me in using HFSLIP, but she got real angry with me and told me if she had to do any more of this she would quit. I could never let that happen.

I used first virtual pc 2007, and then vmware 7.1.4 for testing the builds. net 1.1 instals and net 2.0sp2, net3, net35sp1 all fail with an error requesting .net 2.0a. .net 40 installed fine.

I need the net frameworks to be installed into the control panel add/remove section not the windows components add/remove.

Because I use a mouthstick to work, it is quite hard to get a normal integration put together. this is why I am asking for assistance.

My integration slipstreamed should only have OnePiece 4.6.1 WITHOUT the .net frameworks, the unwanted components removed, net frameworks integrated as SVCPACKs, MS VC++ runtimes 2005, 2008, 2010, jre6u25, kel's cp;bonus pack 12.2, adobe flash 10.3 (I think) both activex and plugin, and shockwave players 11.5, and adobe reader x 10.01.

Ths what had hav been trying to do a.ong with turning off all animation, translucen rectangle in menus, using classic xp and contrl panel, etc.

I am running out of eam on attempting to get this working.

EDIT: I solved the problem!!!

1. I modified the OnePiece 4.6.1 to not install any net frameworks

2. I integrated a onepiece net 1.1 - 4.0 addon that shows up in the normal Add/Remove, not the windows components Add/Remove

3. I ran tests with installing my special software and it worked.

4. I just installed the new integration on my system and all is well!!!

I thank you for your thoughts, :blink:

hag672

Edited by hag672
Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
 Share

  • Recently Browsing   0 members

    • No registered users viewing this page.


×
×
  • Create New...